Questions sur l'installation et la configuration de Manjaro Linux.
Répondre

Après mise à jour, impossible d'imprimer

#1Messageil y a 2 mois

Bonjour,
Suite aux difficultés rencontrées après la mise à jour du 7 mai 2018
je me suis composé un mini guide de survie sous Manjaro que je m'apprêtai à imprimer.
Oui... mais : plus moyen d'imprimer ! Ça commence à me gonfler un brin !
CUPS a écrit :"The PPD version (5.2.13) is not compatible with Gutenprint 5.2.14. Please run `/usr/bin/cups-genppdupdate' as administrator."
Donc, je fais ce qui est demandé...

└─> sudo /usr/bin/cups-genppdupdate 
[sudo] Mot de passe de alain :  
/etc/cups/ppd/Canon-MP550.ppd: no valid candidate for replacement.  Skipping 
/etc/cups/ppd/Canon-MP550.ppd: please upgrade this PPD manually 
Unable to retrieve PPD file for /etc/cups/ppd/Canon-MP550.ppd! 
/etc/cups/ppd/Canon_USB_PC_bureau.ppd: no valid candidate for replacement.  Skipping 
/etc/cups/ppd/Canon_USB_PC_bureau.ppd: please upgrade this PPD manually 
Unable to retrieve PPD file for /etc/cups/ppd/Canon_USB_PC_bureau.ppd! 
Failed to update any PPD files 
no valid candidate for replacement. Skipping
please upgrade this PPD manually
Super !
Quand tout va mal (parce qu'il y a d'autres choses que je passe sous silence pour ne pas tout mélanger)
on se demande vraiment ce que l'on fait dans cette galère.
Mon guide de survie je l'ai imprimé sans problème, mais via Xubuntu Voyager.

Cette mise à jour obligée de Gutenprint, elle est censée m'apporter quoi
sinon à première vue une impossibilité d'imprimer. ;rale:

Dois-je rétrograder Gutenprint, ou trouver le PPD qui lui convient :?::saispas:

Après mise à jour, impossible d'imprimer

#2Messageil y a 2 mois

Bonjour,

Même souci avec une Canon MP260.
2 Résolutions qui ont fonctionné chez moi:
- la première qui est plus un "contournement du problème": aller dans le fichier ppd de ton imprimante dans /etc/cups/ppd/ et modifier les infos de version 5.2.13 par 5.2.14 qui apparaissent sur 2 lignes de mémoire. Mais dès la prochaine mise à jour de Gutenprint, le problème va se représenter.

- supprimer l'imprimante dans Cups et l'ajouter à nouveau. Choisir alors un ppd compatible avec la nouvelle version de Gutenprint.

Après mise à jour, impossible d'imprimer

#3Messageil y a 2 mois

:bjr:
et merci koji54 pour tes solutions.
− La première, "chirurgicale", est très révélatrice :
on pouvait s'attendre à ce que la mention suivant "*FileVersion:" évite d'utiliser un PPD mauvais.
Eh bien non ! La seule différence entre un PPD qui fonctionne et le presque même qui ne fonctionne pas
est le numéro attribué à "*FileVersion:"... rien d'autre ! :?::roll:
− La seconde, "au bulldozer", par RAZ et re-création... Oui, mais faudrait pas que ça arrive trop souvent.

Répondre